sigmlinlib

## Class SiGMLInputService

- java.lang.Object
- - sigmlinlib.SiGMLInputServiceBase
  - - sigmlinlib.SiGMLInputService

-     public class SiGMLInputService
      extends SiGMLInputServiceBase

  SiGML input service management: sets up the service input and termination ports, accepts input and passes it on to a given `BytesBlockStreamHandler` until a termination signal is received.

  2008-10-08
  The old version of this class is now factored into an abstract base class, `SiGMLInputServiceBase`, together with this small concrete subclass, whose role is to define the set of service operations which drive the `BytesBlockStreamHandler` supplied at construction time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class sigmlinlib.SiGMLInputServiceBase

      `SiGMLInputServiceBase.ServiceOperations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLInputService(boolean rprt, int inport, int stopport, BytesBlockStreamHandler bbshdlr)` Starts a new SiGML input service, with the given reporting flag, using the given input and termination TCP/IP port numbers, and communicating input and other service life-cycle events to the given handler.

  - ### Method Summary

    - ### Methods inherited from class sigmlinlib.SiGMLInputServiceBase

      `shutDown`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLInputService

          public SiGMLInputService(boolean rprt,
                                   int inport,
                                   int stopport,
                                   BytesBlockStreamHandler bbshdlr)
                            throws java.io.IOException

      Starts a new SiGML input service, with the given reporting flag, using the given input and termination TCP/IP port numbers, and communicating input and other service life-cycle events to the given handler.
      Throws:
        `java.io.IOException`